	 <style type="text/css">

</style>

  <?php
	include_once("../header.php");
        include_once("../php/config.php");
        $sql = mysql_query("select * from 
            empresa") or die(mysql_error());

	?>
        
    <div class="container-fluid">
      <!-- Breadcrumbs-->
   <br>   
   <?php include_once("../barra_lateral.php")?>  

       <div class="row">
      <div class="col-md-12">
          <h3 class="text-success"><i class="fa fa-w fa-edit"></i> Registro de empresas</h3>
        <a class="btn btn-sm btn-warning mb-2" href="javascript:void(0)" onClick="modalEmpresa()"><i class="fa fa-plus"></i> Registrar una nueva empresa</a>
        <script type="text/javascript">
          function modalEmpresa(){
            $("#modalEmpresa").modal('show');
    
                
             $("#frm").trigger('reset'); 
                setTimeout(function(){
                $("#nombre").focus();
                $("#nombre").select();
                

            },500)
            
        }
        </script>
        <div class="table-responsive">
          <table class="table table-sm table-borderred">
            <thead>
              <th># empresa</th>
              <th>Nombre</th>
              <th>Telefono</th>
               <th>Direccion</th>
               <th>RNC</th>
           
              <th>Opciones</th>
            </thead>
            <tbody>
                                                        <?php while($r=mysql_fetch_array($sql)){?>
              <tr>
                <td><?php echo $r["id_empresa"]?></td>
                <td><?php echo $r["nombre"]?></td>

              <td><?php echo $r["telefono"]?></td>
              <td><?php echo $r["direccion"]?></td>
              <td><?php echo $r["rnc"]?></td>
               <td><a class="btn btn-sm btn-warning mb-2" href="#modalEmpresa" data-toggle="modal" onClick='ver(<?php echo $r["id_empresa"]?>)'><i class="fa fa-eye"></i></a></td>
              </tr>
                                                        <?php }?>
            </tbody>
          </table>
        </div>
      </div>
    </div>
    
        </div>
      </div>
      


          
</div>
        


     </div>
   </div>
   
		
    </div>

	<!---Modal Cliente-->
	<div class="modal fade" id="modalEmpresa" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
             
            <h5 class="modal-title text-success" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Registro de empresas</h5>
           
            
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
              <img src="../img/home.png" style="width:100px;"> 
                    
		  <form name="frm" action="" method="POST" id="frm">
			 
     

        <div class="row">
  				<label for="id" class="col-sm-3 col-form-label" >Id</label>
  				<div class="col-sm-3">
  				  <input autocomplete="off" type="text"  class="form-control  mb-2" id="id_empresa" value="" disabled>
  				</div>
			  </div>
			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Nombre</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="nombre" name="nombre" value="">
          </div>
        </div>
			  
       
        
         <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Telefono</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"   class="form-control mb-2" id="telefono" name="total_igreso" value="">
          </div>
        </div>   
       <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Direccion</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"   class="form-control mb-2" id="direccion" name="direccion" value="">
          </div>
        </div> 
                      
                      
     <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >RNC</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="rnc" name="rnc" value="">
          </div>
        </div>
         <br>
      


			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="grabar_empresa()"><i class="fa fa-w fa-save"></i> Grabar</button>

                  <button class="btn btn-warning" type="button" onclick="borrar()" id="delete"><i class="fa fa-w fa-trash"></i> Borrar</button>

            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
$("#delete").hide();
id_empresa="";
function ver(id){

    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
       
    },1000);

            var sql="select * from empresa where id_empresa='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_empresa= rs.data[i].id_empresa; 
                    $("#id_empresa").val(rs.data[i].id_empresa);
                    $("#nombre").val(rs.data[i].nombre);
                    $("#telefono").val(rs.data[i].telefono);
                    $("#direccion").val(rs.data[i].direccion);
                    $("#rnc").val(rs.data[i].rnc);

                  
                }
                $("#loading").modal('hide');
            })
        }
  
  function grabar_empresa(){
     if(!confirm("Seguro(a) que desea registrar esta empresa?")){return;}                   
    
    
     var nombre = $("#nombre").val();
     var telefono = $("#telefono").val();
     var direccion = $("#direccion").val();
     var rnc = $("#rnc").val(); 
    id_empresa=$("#id_empresa").val()


     ////if(nombre==""){alert('Faltan datos'); return}
    var sql="";                            
        if(id_empresa==""){
            sql="INSERT INTO empresa set ";
            sql+=" nombre='"+nombre+"'";
            sql+=",telefono='"+telefono+"'";
            sql+=",direccion='"+direccion+"'";
            sql+=",rnc='"+rnc+"'";
            
            
           

        }else{
            sql="UPDATE empresa set";
            sql+=" nombre='"+nombre+"'";
            sql+=",telefono='"+telefono+"'";
            sql+=",direccion='"+direccion+"'";
            sql+=",rnc='"+rnc+"'";
            sql+=" WHERE id_empresa='"+id_empresa+"'";
           
            
        }
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalEmpresa").modal('hide');
        noti("success","Registro grabado con exito","Registro grabado");
          setTimeout(function(){window.location.reload()},2000)
        dstry();
        id_empresa="";

      }else{
          alert(data);
          
      }
        $("#loading").modal('hide');
    })
}
  

 function borrar(){
  
     if(id_empresa==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from empresa where id_empresa='"+id_empresa+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalEmpresa").modal('hide');
        alert("Registro eliminado con exito");
        
        dstry();
        id_empresa="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          alert(data);
          
      }
        $("#loading").modal('hide');
    })
}


 


 
 
 $(".table").DataTable();
         
        </script>

